--- ./auto/os/freebsd	Wed Sep  6 18:51:40 2006
+++ ./auto/os/freebsd.new	Wed Sep  6 18:57:56 2006
@@ -25,8 +25,7 @@
 
 # setproctitle() in libutil
 
-if [ \( $version -ge 500000 -a $version -lt 500012 \) \
-     -o $version -lt 410002 ]
+if test $version -ge 500000 -a $version -lt 500012 -o $version -lt 410002		
 then
     echo " + setproctitle() in libutil"
 
@@ -36,7 +35,8 @@
 
 # sendfile
 
-if [ $osreldate -gt 300007 ]; then
+if test $osreldate -gt 300007 -o "$NGX_PLATFORM" \> "DragonFly" -a "$NGX_PLATFORM" \< "FreeBSD"
+then
     echo " + sendfile() found"
 
     have=NGX_HAVE_SENDFILE . auto/have
@@ -46,8 +46,7 @@
 
 # kqueue
 
-if [ \( $osreldate -lt 500000 -a $osreldate -ge 410000 \) \
-     -o $osreldate -ge 500011 ]
+if test $osreldate -lt 500000 -a $osreldate -ge 410000 -o $osreldate -ge 500011 -o "$NGX_PLATFORM" \> "DragonFly" -a "$NGX_PLATFORM" \< "FreeBSD"
 then
     echo " + kqueue found"
 
@@ -64,8 +63,7 @@
 
 # kqueue's NOTE_LAWAT
 
-if [ \( $version -lt 500000 -a $version -ge 430000 \) \
-     -o $version -ge 500018 ]
+if [ $version -lt 500000 -a $version -ge 430000 -o $version -ge 500018 ]
 then
     echo " + kqueue's NOTE_LOWAT found"
     have=NGX_HAVE_LOWAT_EVENT . auto/have
@@ -73,8 +71,7 @@
 
 # kqueue's EVFILT_TIMER
 
-if [ \( $version -lt 500000 -a $version -ge 440001 \) \
-     -o $version -ge 500023 ]
+if test $version -lt 500000 -a $version -ge 440001 -o $version -ge 500023
 then
     echo " + kqueue's EVFILT_TIMER found"
     have=NGX_HAVE_TIMER_EVENT . auto/have